Summary: GNU bc
Name: bc
Version: 1.04
Release: 2
Copyright: GPL
Group: Applications/Math
Source: ftp://prep.ai.mit.edu/pug/gnu/bc-1.04.tar.gz
Patch1: bc-1.03-P.patch
Prereq: /sbin/install-info

%description
bc is a text mode calculator of sorts.  It has many extended
features such as base translation.  It can also accept input
from stdin and return output. dc is the RPN version.

%changelog

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>

- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>

- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%prep
%setup
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make

%install
make install
gzip -n -9f /usr/info/dc.info

strip /usr/bin/dc /usr/bin/bc

%post
/sbin/install-info /usr/info/dc.info.gz /usr/info/dir --entry="* dc: (bc).                      The GNU RPN calculator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete /usr/info/dc.info.gz /usr/info/dir --entry="* dc: (bc).                      The GNU RPN calculator."
fi

%files
/usr/bin/dc
/usr/bin/bc
/usr/man/man1/bc.1
/usr/man/man1/dc.1
/usr/info/dc.info.gz
